summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuildscripts/build-on-greyhound.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/buildscripts/build-on-greyhound.sh b/buildscripts/build-on-greyhound.sh
index 8c9e6fe..93d6bd9 100755
--- a/buildscripts/build-on-greyhound.sh
+++ b/buildscripts/build-on-greyhound.sh
@@ -5,7 +5,11 @@
branch=$1
ACCEPTED_BRANCHES='(develop|citest)'
-[[ $branch =~ $ACCEPTED_BRANCHES ]] || ( echo "CI builds only possible for these branches: $ACCEPTED_BRANCHES "; exit 1)
+if [[ ! $branch =~ $ACCEPTED_BRANCHES ]]
+then
+ echo "CI builds only possible for these branches: $ACCEPTED_BRANCHES "
+ exit 1
+fi
. /etc/leap/rewire_${branch}.cfg
. /etc/leap/platform-test-common.cfg